Skip to main content
GET /files Retrieve a paginated list of files with sorting options.

Code Examples

curl --request GET \
  --url 'https://api.tess.im/files' \
  --header 'Authorization: Bearer YOUR_API_KEY'

Query Parameters

ParameterTypeRequiredDescription
pageintegerNoPage number for pagination (default: 1, minimum: 1)
per_pageintegerNoNumber of items per page (default: 15, maximum: 100, minimum: 1)
orderstringNoSort order for created_at field (default: desc, enum: [asc, desc])

Headers

ParameterTypeRequiredDescription
x-workspace-idintegerNoID of the workspace. If not provided, the user’s selected workspace will be used.
Note: This field will be required in a future release of the API. It is highly recommended to set it now to ensure compatibility with future updates.

Response

{
"data": [
  {
    "id": 73325,
    "object": "file",
    "bytes": 35504128,
    "created_at": "2025-01-05T22:26:27+00:00",
    "filename": "endpoints.pdf",
    "credits": 20.10060847168,
    "status": "completed"
  },
  [...]
]
}